Subject: Re: [PATCH v4 3/3] run-command: show prepared command

From: Ian Wienand <[email-masked]>
Date: Sat, 25 May 2024 11:14:33 +1000

On Fri, May 24, 2024 at 12:16:34PM -0700, Junio C Hamano wrote:
> Ian Wienand <[email-masked]> writes:
> 
> > +test_expect_success 'tracing a shell alias with arguments shows trace of prepared command' '
> > +	git config alias.echo "!echo \$*" &&
> > +	env GIT_TRACE=1 git echo argument 2>output &&
> > +	test_grep "^trace: prepare_cmd:.*" output
> > +'
> 
> If you run
> 
>     $ cd t && sh ./t0014-alias.sh -d && cat trash*.t0014-alias/output
> 
> you'll see two "prepare_cmd" logged, because you added one to
> prepare_shell_cmd() and another to prepare_cmd().

Sorry that's a bit embarrasing that I missed that.  Reading this more
carefully, I agree that the points you've identified in start_command
are probably the best place.  I've updated to this.

-i